#
# spec file for package perl-Text-Iconv
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Text-Iconv
%define cpan_name Text-Iconv
Summary:        Perl interface to iconv() codeset conversion function
Version:        1.7
Release:        23.40
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Iconv
Source:         %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
The Text::Iconv module provides a Perl interface to the iconv() function as
defined by the Single UNIX Specification.

The convert() method converts the encoding of characters in the input string
from the fromcode codeset to the tocode codeset, and returns the result.

Settings of fromcode and tocode and their permitted combinations are
implementation-dependent. Valid values are specified in the system
documentation; the iconv(1) utility should also provide a -l option that lists
all supported codesets.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
# normally you only need to check for doc files
%defattr(-,root,root,)
%doc Changes README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original tar
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jul 28 2009 coolo@novell.com
- merge factory and build service package
* Wed Jul 15 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
* Tue Jun  2 2009 lars@linux-schulserver.de
- update to version 1.7
  * Output buffer was always initialized to 5 bytes--this was
    just for testing, but I'd forgotten to revert back to the
    original code (detected via a bug report by Aldo LeTellier).
  * Added get_attr() and set_attr() methods.  They provide an
    interface to the iconvctl() function of GNU libiconv.
  * In Iconv.xs, moved the variable declarations in
    ti_set_attr() and ti_get_attr() into the PREINIT: section.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 1.4
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 coolo@suse.de
- fix build
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
- remove perllocal.pod from filelist
* Mon Jun 16 2003 coolo@suse.de
- package directories
* Mon Nov 18 2002 ro@suse.de
- fixed typo in specfile
* Sun Nov 17 2002 adrian@suse.de
- initial package of perl-Text-Iconv 1.2 (needed for gift)
